<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee" metadata-complete="true" version="2.5">
    <display-name>Geronimo Debug Views Portlet</display-name>
    <filter>
        <filter-name>dwr-filter</filter-name>
        <filter-class>org.apache.geronimo.console.servlet.ForwardDispatchFilter</filter-class>
        <async-supported>false</async-supported>
    </filter>
    <filter-mapping>
        <filter-name>dwr-filter</filter-name>
        <servlet-name>dwr-invoker</servlet-name>
        <dispatcher>FORWARD</dispatcher>
    </filter-mapping>
    <servlet>
        <servlet-name>dwr-invoker</servlet-name>
        <servlet-class>org.directwebremoting.servlet.DwrServlet</servlet-class>
        <init-param>
            <param-name>classes</param-name>
            <param-value>org.apache.geronimo.console.jmxmanager.JMXManagerHelper, org.apache.geronimo.console.ldapmanager.LDAPManagerHelper, org.apache.geronimo.console.dependencyview.DependencyViewHelper, org.apache.geronimo.console.jndiview.JNDIViewHelper, org.apache.geronimo.console.util.Tree, org.apache.geronimo.console.util.TreeEntry</param-value>
        </init-param>
        <init-param>
            <param-name>activeReverseAjaxEnabled</param-name>
            <param-value>true</param-value>
        </init-param>
        <init-param>
            <param-name>allowScriptTagRemoting</param-name>
            <param-value>true</param-value>
        </init-param>
    </servlet>
    <servlet>
        <servlet-name>DependencyViewer</servlet-name>
        <servlet-class>org.apache.pluto.container.driver.PortletServlet</servlet-class>
        <init-param>
            <param-name>portlet-name</param-name>
            <param-value>DependencyViewer</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>JMXViewer</servlet-name>
        <servlet-class>org.apache.pluto.container.driver.PortletServlet</servlet-class>
        <init-param>
            <param-name>portlet-name</param-name>
            <param-value>JMXViewer</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>JNDIViewer</servlet-name>
        <servlet-class>org.apache.pluto.container.driver.PortletServlet</servlet-class>
        <init-param>
            <param-name>portlet-name</param-name>
            <param-value>JNDIViewer</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>LDAPViewer</servlet-name>
        <servlet-class>org.apache.pluto.container.driver.PortletServlet</servlet-class>
        <init-param>
            <param-name>portlet-name</param-name>
            <param-value>LDAPViewer</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.dependencyview.view_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.dependencyview.view_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.dependencyview.help_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.dependencyview.help_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.classloaderview.view_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.classloaderview.view_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.classloaderview.help_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.classloaderview.help_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.ldapmanager.help_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.ldapmanager.help_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.ldapmanager.viewLDAPServer_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.ldapmanager.viewLDAPServer_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.jndiview.view_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.jndiview.view_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.jndiview.help_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.jndiview.help_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.jmxmanager.viewJMXServer_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.jmxmanager.viewJMXServer_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.jmxmanager.help_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.jmxmanager.help_jsp</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>dwr-invoker</servlet-name>
        <url-pattern>/dwr2/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DependencyViewer</servlet-name>
        <url-pattern>/PlutoInvoker/DependencyViewer</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>JMXViewer</servlet-name>
        <url-pattern>/PlutoInvoker/JMXViewer</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>JNDIViewer</servlet-name>
        <url-pattern>/PlutoInvoker/JNDIViewer</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LDAPViewer</servlet-name>
        <url-pattern>/PlutoInvoker/LDAPViewer</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.dependencyview.view_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/dependencyview/view.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.dependencyview.help_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/dependencyview/help.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.classloaderview.view_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/classloaderview/view.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.classloaderview.help_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/classloaderview/help.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.ldapmanager.help_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/ldapmanager/help.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.ldapmanager.viewLDAPServer_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/ldapmanager/viewLDAPServer.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.jndiview.view_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/jndiview/view.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.jndiview.help_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/jndiview/help.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.jmxmanager.viewJMXServer_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/jmxmanager/viewJMXServer.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.jmxmanager.help_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/jmxmanager/help.jsp</url-pattern>
    </servlet-mapping>
    <security-constraint>
        <web-resource-collection>
            <web-resource-name>debugviews</web-resource-name>
            <url-pattern>/PlutoInvoker/*</url-pattern>
            <url-pattern>/dwr2/*</url-pattern>
            <http-method>GET</http-method>
            <http-method>POST</http-method>
            <http-method>PUT</http-method>
        </web-resource-collection>
        <auth-constraint>
            <role-name>admin</role-name>
        </auth-constraint>
    </security-constraint>
    <login-config>
        <auth-method>BASIC</auth-method>
        <realm-name>geronimo-admin</realm-name>
    </login-config>
    <security-role>
        <role-name>admin</role-name>
    </security-role>
</web-app>
